## qt6-style-kvantum 1.0.10

=== debian/changelog ===
qt6-style-kvantum (1.0.10-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Mar 2024 10:38:58 -0800

qt6-style-kvantum (1.0.10-0ubuntu1~jammy1) jammy; urgency=medium

  * New upstream release.
  * Release for Launchpad - jammy

 -- Serhii Yeremenko <finalitik@gmail.com>  Tue, 31 Oct 2023 18:39:54 +0200

qt6-style-kvantum (1.0.10-0) unstable; urgency=medium

  * Initial release

 -- Serhii Yeremenko <finalitik@gmail.com>  Tue, 31 Oct 2023 16:33:42 +0200
