=== debian/control ===
Source: qt6-style-kvantum
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Serhii Yeremenko <finalitik@gmail.com>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl1-mesa-dev,
               libqt6svg6-dev,
               qt6-tools-dev
Standards-Version: 4.6.2

Package: qt6-style-kvantum
Architecture: any
Depends: qt5-style-kvantum, ${misc:Depends}, ${shlibs:Depends}
Description: Qt6 component of the Kvantum theme engine
 Kvantum is an SVG-based theme engine for Qt5/Qt6, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the Qt6 component.
