## qt6-style-kvantum 1.1.2

=== debian/changelog ===
qt6-style-kvantum (1.1.2-0ubuntu1) oracular; urgency=medium

  * New upstream release for Qt6 - package forked (LP: #2073930)
    - support for Qt5 dropped, Qt5 package still remains 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 23 Jul 2024 12:07:54 -0700

qt5-style-kvantum (1.0.10-1build3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:48:33 +0200

qt5-style-kvantum (1.0.10-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:14:13 +0000

qt5-style-kvantum (1.0.10-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:45:35 +0000

qt5-style-kvantum (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * debian/README.Debian: took how to use from INSTALL.md file.
    (Closes: #1004824)
  * debian/control: update team address.
  * debian/copyright: update.
  * Drop obsoleted debian/repack.sh.
  * debian/qt5-style-kvantum-themes.install: upstream dropped Openbox
    themes (Openbox's development stopped years ago).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/control: cleanup build-deps.
  * debian/salsa-ci.yml: enable salsa-ci.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 13 Aug 2023 11:35:53 +0200

qt5-style-kvantum (1.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Update d/watch for GitHub.
  * Update d/lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:47:32 +0800

qt5-style-kvantum (1.0.3-1) unstable; urgency=medium

  * Fix debian/watch and we do not do repack anymore.
  * Added debian/upstream/signing-key.asc.
  * New upstream version 1.0.3
  * Added myself as Uploaders.
  * debian/copyright: drop repack comment as we don't need to do repack
    anymore.
  * Update debian/copyright.
  * debian/rules: specify source directory for dh.
  * debian/docs: correct path as now we use original upstream tarball
    instead of repack one.
  * debian/rules: avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: drop --fail-missing argument which is now the default.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 23 Jul 2022 22:53:43 +0800

qt5-style-kvantum (1.0.0+repack-1) unstable; urgency=medium

  * New upstream version 1.0.0+repack
  * debian/copyright: Update copyright date
  * debian/control: Bump Standards-Version to 4.6.0

 -- S. 7 <severusseptimius7@gmail.com>  Sat, 05 Feb 2022 13:26:45 -0500

qt5-style-kvantum (0.18.0+repack-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.18.0+repack
  * debian/copyright: Update copyright date
  * debian/control:
    - Use debhelper 13
    - Bump Standards-Version to 4.5.1
  * debian/qt5-style-kvantum-themes.install: Remove kde4 app colorscheme

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 07 Jan 2021 22:46:45 +0800

qt5-style-kvantum (0.14.1+repack-1) unstable; urgency=medium

  * New upstream version 0.14.1+repack

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Jan 2020 15:12:47 +0100

qt5-style-kvantum (0.14.0+repack-1) unstable; urgency=medium

  * New upstream version 0.14.0+repack

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:56:19 +0100

qt5-style-kvantum (0.12.1+repack-1) unstable; urgency=medium

  * New upstream version 0.12.1.
  * Switched to gbp
  * Bumped standards to 4.4.1, no changes needed.
  * Added .gitignore

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:55:13 +0100

qt5-style-kvantum (0.11.2+repack-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.11.2.
  * Really bumped standards to 4.4.0, no changes needed.

 -- Alf Gaida <agaida@siduction.org>  Fri, 16 Aug 2019 19:40:57 +0200

qt5-style-kvantum (0.11.1+repack-2) unstable; urgency=medium

  * Switched to unstable - freeze is over.
  * Bumped standards to 4.4.0, no changes needed.
  * Added a .gitignore file

 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Jul 2019 23:10:06 +0200

qt5-style-kvantum (0.11.1+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.1.

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 May 2019 01:35:58 +0200

qt5-style-kvantum (0.11.0+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.0.
  * Marked qt5-style-kvantum-themes Multi-Arch: foreign
  * Switched to experimental

 -- Alf Gaida <agaida@siduction.org>  Wed, 01 May 2019 01:11:39 +0200

qt5-style-kvantum (0.10.9+repack-2) unstable; urgency=medium

  * Removed Franciscarlos Santos Soares <prof.franciscarlos@gmail.com> from
    Uploaders

 -- Alf Gaida <agaida@siduction.org>  Mon, 11 Feb 2019 01:32:37 +0100

qt5-style-kvantum (0.10.9+repack-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.10.9.
  * Replaced debhelper and compat with debhelper-compat (= 12)
  * Bumped standards to 4.3.0
  * Bumped copyright years.
  * Added build dependency libkf5windowsystem-dev

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Feb 2019 01:25:38 +0100

qt5-style-kvantum (0.10.8+repack-1) unstable; urgency=medium

  * Initial release (Closes: #889075)

 -- Alf Gaida <agaida@siduction.org>  Sat, 25 Aug 2018 14:49:31 +0200
