=== debian/changelog ===
qt6-style-kvantum (1.1.3-0ubuntu1) plucky; urgency=medium

  * New upstream release. 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 17 Feb 2025 20:29:16 -0800
