=== debian/control ===
Source: qt6-style-kvantum
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf6windowsystem-dev,
               libqt6svg6-dev,
               libgl-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://github.com/tsujan/Kvantum
Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
Rules-Requires-Root: no

Package: qt6-style-kvantum
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qt6-style-kvantum-themes | qt6-style-kvantum-theme
Recommends: qt6-style-kvantum-l10n
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt5/Qt6, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.

Package: qt6-style-kvantum-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt5/Qt6, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.


Package: qt6-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt5/Qt6, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.
